clear;
%   View single de-embedded data file content (amplitude only)
[FileTemp, Path] = uigetfile('*.mat','Select the data file to open', 'MultiSelect', 'on');
if ~iscell(FileTemp) 
    FileName{1} = FileTemp;
else
    FileName = FileTemp;
end  
load list;
for m = 1:length(FileName)
        index = find(strcmp( FileName(1:end-4), F1{m} ));        
        load(FileName{m});
        figure;        
        plot(f, 20*log10(abs(S11)), 'r', f, 20*log10(abs(S21)), 'b'); grid on;    
        axis([min(f) max(f) -50 0]);
        title(strcat(FileName{m}, '/ osteolevel=', num2str(F5(m))));
        display(FileName{m});
end